Ticket #43161

Savegame bulb loss bug

Eröffnet am: 2021-11-04 10:34 Letztes Update: 2021-11-11 01:22

Auswertung:
Verantwortlicher:
Typ:
Status:
Geschlossen
Komponente:
Meilenstein:
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Gefixt
Datei:
1

Details

When server setting multiresearch is enabled, reloading a save game will make players who just discovered a tech but did not select the next tech, lose their bulbs when they select their next tech.

Blamed: presearch->got_tech_multi is not being saved in savegame.

When I added it by copy pasting the same lines for the very similar bool, presearch->got_tech ... it created save game incompatibility and old save games wouldn't load However, Sveinung helped me use secfile_lookup_bool_default to work around this issue. Specifically,

/* BREAKS SAVE compatibility: */

sg_failure_ret(secfile_lookup_bool(loading->file,

&presearch->got_tech_multi, "research.r%d.got_tech_multi", i),
"%s", secfile_error()); BREAKS SAVECOMPAT */

/* WORKS */

presearch->got_tech_multi = secfile_lookup_bool_default(loading->file, FALSE,
"research.r%d.got_tech_multi", i);

Ticket-Verlauf (3/4 Historien)

2021-11-04 10:34 Aktualisiert von: lexxie9952
  • New Ticket "Savegame bulb loss bug" created
2021-11-05 01:53 Aktualisiert von: cazfi
  • Lösung Update from Keine to Accepted
  • Meilenstein Update from (Keine) to 3.0.0 (closed)
  • Komponente Update from (Keine) to Server
2021-11-11 01:22 Aktualisiert von: cazfi
  • Status Update from Offen to Geschlossen
  • Verantwortlicher Update from (Keine) to cazfi
  • Lösung Update from Accepted to Gefixt

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden